Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm
Interface SStyleShape

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IID, org.eclipse.emf.common.notify.Notifier, SActable, SAttributed, SImplemented, SNamed, SStyle, SStyle2D

All Known Implementing Classes:
  SStyleShapeImpl

    public interface SStyleShape

extends SStyle2D

A representation of the model object 'SStyle Shape'.

The following features are supported:

- `Shape`

See Also:
  `MetaABMPackage.getSStyleShape()`

Method Summary
`SShapeType` | `getShape()` Returns the value of the 'Shape' attribute.
`void` | `setShape(SShapeType value)` Sets the value of the '`Shape`' attribute.

Methods inherited from interface org.metaabm.SStyle
`getAgent, setAgent`

Methods inherited from interface org.metaabm.SActable
`getRootActivity, setRootActivity`

Methods inherited from interface org.metaabm.SAttributed
`findAttribute, getAttributes, isReachable`

Methods inherited from interface org.metaabm.SNamed
`getDescription, getPluralLabel, references, setDescription, setPluralLabel`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.metaabm.SImplemented
`getImplementation, getParent, setImplementation`

Method Detail

### getShape

    SShapeType getShape()

  Returns the value of the 'Shape' attribute. The literals are from the enumeration `SShapeType`.

  If the meaning of the 'Shape' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Shape' attribute.
  See Also:
    `SShapeType`, `setShape(SShapeType)`, `MetaABMPackage.getSStyleShape_Shape()`

### setShape

    void setShape(SShapeType value)

  Sets the value of the '`Shape`' attribute.

  Parameters:
    `value` - the new value of the 'Shape' attribute.
  See Also:
    `SShapeType`, `getShape()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD